• Failed to perform the process


    Hello guys I have problem with update pamac, vivaldi and aur package (ring-daemon-git)
    The message is :
    Failed to perform the process.
    Invalid or Corrupted Package (PGP)

    0_1474279403184_Στιγμιότυπο από 2016-09-19 12-39-02.png

  • @valentinos.antoniou

    Close pamac. Open a terminal and run:
    sudo pacman -Syu

    Tell us if the error persists. If not, then try to update your aur package:
    yaourt -Syu

    Cheers!

  • @karasu
    Yet the problem remains. corrupted packages (PGP)
    0_1474287775891_Στιγμιότυπο από 2016-09-19 15-21-34.png

  • Try this:

    sudo pacman-key --populate archlinux antergos
    

    Also, maybe reinstalling archlinux-keyring and antergos-keyring helps.

  • Thx karasu - When you uninstall a package, do you need to reboot before reinstalling, please? Or can one just uninstall/reinstall without booting in between? Thx for your help.

  • Hi,

    Mostly yes, you can remove/install packages without rebooting.

    But, if you update the kernel (or its modules, like wifi drivers or virtualbox modules, etc…), be careful. While you don’t reboot you will be using the old version, and only when you reboot new kernel modules and kernel itself will be loaded, so you won’t notice if anything is wrong until you reboot.

    Cheers!

  • karasu Thx so much. I did all the above, including uninstall/reinstall archlinux-keyring and antergos-keyring. Still, the update of libreoffice-fresh 5.2.2 does not execute. (sorry, the log is in French; but if you need it I will translate…Mainly it says No such file or directory, package corrupt). Do you have an idea about what is wrong? Thx in advance for your precious help.

  • Pb solved by removing a libreoffice directory thet seemde strange and creating the one that should have been there. Update then installed and no pb since.

process2 perform1 Posts 8Views 669
Log in to reply